AntiFeatures:
  - NonFreeNet
Categories:
  - Connectivity
  - Internet
License: GPL-3.0-only
AuthorEmail: support@protonvpn.com
WebSite: https://protonvpn.com/
SourceCode: https://github.com/ProtonVPN/android-app
IssueTracker: https://github.com/ProtonVPN/android-app/issues

RepoType: git
Repo: https://github.com/ProtonVPN/android-app.git

Builds:
  - versionName: 2.1.3
    versionCode: 20103
    disable: crash on start
    commit: 2.1.3
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - pushd ../strongswan
      - $$NDK$$/build/tools/make-standalone-toolchain.sh --arch=arm --platform=android-21
        --install-dir=/tmp/toolchain
      - export PATH=/tmp/toolchain/bin:$PATH
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    scanignore:
      - app/src/main/jniLibs/
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.1.7
    versionCode: 20107
    commit: 2.1.7
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    scanignore:
      - app/src/main/jniLibs/
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.2.2
    versionCode: 20202
    disable: crash on start
    commit: 2.2.2
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    scanignore:
      - app/src/main/jniLibs/
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.2.3
    versionCode: 20203
    commit: 2.2.3
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    scanignore:
      - app/src/main/jniLibs/
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.3.54.0
    versionCode: 102035400
    commit: 2.3.54.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' -e 's/20.0.5594570/20.1.5948944/'
        build.gradle
      - sed -i -e 's/20.0.5594570/20.1.5948944/' ../openvpn/build.gradle.kts
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.4.1.0
    versionCode: 102040100
    commit: 2.4.1.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' -e 's/20.0.5594570/20.1.5948944/'
        build.gradle
      - sed -i -e 's/20.0.5594570/20.1.5948944/' ../openvpn/build.gradle.kts
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.4.31.0
    versionCode: 102043100
    commit: 2.4.31.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' -e 's/20.0.5594570/20.1.5948944/'
        build.gradle
      - sed -i -e 's/20.0.5594570/20.1.5948944/' ../openvpn/build.gradle.kts
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r20b
    gradleprops:
      - buildUniversalApk

  - versionName: 2.6.0.0
    versionCode: 102060000
    commit: 2.6.0.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21d
    gradleprops:
      - buildUniversalApk

  - versionName: 2.6.4.2
    versionCode: 102060402
    commit: 2.6.4.2
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21d
    gradleprops:
      - buildUniversalApk

  - versionName: 2.6.44.5
    versionCode: 102064405
    commit: 2.6.44.5
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends libgmp-dev
    patch:
      - openvpn-build.patch
    gradle:
      - prod
    output: build/outputs/apk/prod/release/ProtonVPN-*-prod-release-unsigned.apk
    rm:
      - app/src/main/jniLibs/x86/*
      - app/src/main/jniLibs/x86_64/*
      - app/src/main/jniLibs/armeabi-v7a/*
      - app/src/main/jniLibs/arm64-v8a/*
      - openvpn/src/main/cpp/mbedtls/tests
      - openvpn/src/main/cpp/openvpn3/test/unittests
      - strongswan/testing/hosts/alice/etc/raddb/certs/random
    prebuild:
      - sed -i -e '/triple/d' -e '/play\ {/,+4d' build.gradle
      - sed -i -e '/kotlinx/d' ../build.gradle
      - pushd ../strongswan
      - git clone git://git.strongswan.org/android-ndk-boringssl.git -b ndk-static
        src/frontends/android/app/src/main/jni/openssl
    build:
      - pushd ../strongswan
      - export PATH=$$NDK$$/toolchains/llvm/prebuilt/linux-x86_64/bin:$PATH
      - ./autogen.sh
      - ./configure
      - make dist
      - pushd src/frontends/android/app
      - sed -i -e '/android\ {/alintOptions\ {abortOnError\ false}' build.gradle
      - gradle assembleRelease
      - popd
      - popd
      - cp -r ../strongswan/src/frontends/android/app/src/main/libs/* src/main/jniLibs/
      - rm -fr ../strongswan/src/frontends/android/app/src/main/libs/*
      - rm -fr ../strongswan/src/frontends/android/app/build
      - pushd ..
      - gradle openvpn:assemble
      - rm -fr openvpn/build/intermediates
      - rm -fr openvpn/build/kotlin
      - rm -fr openvpn/build/tmp
      - rm -fr openvpn/.cxx
      - popd
    ndk: r21d
    gradleprops:
      - buildUniversalApk

AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/ProtonVPN/android-app/master/metadata/version_fdroid.txt|versionCode=(.*)|.|versionName=(.*)
CurrentVersion: 2.6.44.5
CurrentVersionCode: 102064405
